0 Replies Latest reply: Mar 29, 2012 6:19 PM by david5612
david5612 Level 1 Level 1 (0 points)

I am trying to install facetime on my macbook but I get a message stating I am missing a critical security upgrade 2010 005.  However when I search for upgrades the upgrader says I have all current software.  Catch 22.  What do I do?


macbook, Mac OS X (10.5.8)